# -*- coding: utf-8 -*-
from setuphelpers import *
from setupdevhelpers import *


def update_package():
    package_updated = False
    proxies = get_proxies()

    if not proxies:
        proxies = get_proxies_from_wapt_console()
        
    git_repo = "ArchGPT/insomnium"
    url_api = "https://api.github.com/repos/%s/releases/latest" % git_repo   
    # Getting latest version information from official sources
    print("API used is: %s" % url_api)
    json_load = wgets(url_api, proxies=proxies, as_json=True)

    for download in json_load["assets"]:
        if download["browser_download_url"].endswith('.rpm'):
            url_dl = download["browser_download_url"]
            filename = url_dl.rsplit('/', 1)[-1]
            version = json_load["name"].split(" ")[1].split("-")[0]
            break

    #nettoyer les fichiers temporaires
    for f in glob.glob('*.rpm'):
        if f != filename:
            remove_file(f)

    if not isfile(filename):
        package_updated = True
        print(f"Downloading " + filename)
        wget(url_dl,filename,proxies=proxies)

    control.set_software_version(version)
    control.save_control_to_wapt()

    return package_updated